> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataraven.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Invitations

> List all invitations for a team.

**Required Role:** ADMIN or OWNER

Optional filters:
- status: Filter by invitation status (pending, accepted, declined, etc.)



## OpenAPI

````yaml GET /v1/teams/{team_id}/invitations
openapi: 3.1.0
info:
  title: Data Raven API
  description: Cloud-to-cloud data transfer platform powered by RClone
  version: 0.5.0
servers: []
security: []
paths:
  /v1/teams/{team_id}/invitations:
    get:
      tags:
        - Invitations
      summary: List Team Invitations
      description: >-
        List all invitations for a team.


        **Required Role:** ADMIN or OWNER


        Optional filters:

        - status: Filter by invitation status (pending, accepted, declined,
        etc.)
      operationId: list_team_invitations_v1_teams__team_id__invitations_get
      parameters:
        - name: team_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Team Id
        - name: status_filter
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/InvitationStatus'
              - type: 'null'
            description: Filter by status
            title: Status Filter
          description: Filter by status
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResponse_InvitationResponse_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    InvitationStatus:
      type: string
      enum:
        - pending
        - accepted
        - declined
        - expired
        - revoked
      title: InvitationStatus
      description: Team invitation status values.
    PaginatedResponse_InvitationResponse_:
      properties:
        data:
          items:
            $ref: '#/components/schemas/InvitationResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
      required:
        - data
        - pagination
      title: PaginatedResponse[InvitationResponse]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    InvitationResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        team_id:
          type: string
          format: uuid
          title: Team Id
        email:
          type: string
          title: Email
        user_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: User Id
        role:
          $ref: '#/components/schemas/UserRole'
        status:
          $ref: '#/components/schemas/InvitationStatus'
        invited_by:
          type: string
          format: uuid
          title: Invited By
        created_at:
          type: string
          format: date-time
          title: Created At
        expires_at:
          type: string
          format: date-time
          title: Expires At
        accepted_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Accepted At
        declined_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Declined At
      type: object
      required:
        - id
        - team_id
        - email
        - role
        - status
        - invited_by
        - created_at
        - expires_at
      title: InvitationResponse
      description: Schema for invitation in team admin responses.
    PaginationResponse:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        total_pages:
          type: integer
          title: Total Pages
      type: object
      required:
        - page
        - limit
        - total
        - total_pages
      title: PaginationResponse
      description: Pagination metadata in responses.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    UserRole:
      type: string
      enum:
        - viewer
        - operator
        - admin
        - owner
      title: UserRole
      description: >-
        User roles within teams (hierarchical).


        - OWNER (4): Full control including team deletion

        - ADMIN (3): All operations except team deletion

        - OPERATOR (2): Day-to-day operations (run jobs, view logs), no
        setup/config

        - VIEWER (1): Read-only audit access
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````